// MIXIN MEDIA QUERY //
$breakpoints: (
    desktop: 950px,
    tablet : 750px,
    mobile : 440px
);

@mixin desktop {
    @media screen and (max-width: map-get($breakpoints, desktop)) {
        @content;
    }
}

@mixin tablet {
    @media screen and (max-width: map-get($breakpoints, tablet)) {
        @content;
    }
}

@mixin mobile {
    @media screen and (max-width: map-get($breakpoints, mobile)) {
        @content;
    }
}

// RESET //
* {
    padding    : 0;
    margin     : 0;
    color      : #ffffff;
    font-family: 'Source Code Pro', monospace;
}

// COLOR //
$primary      : #161f28;
$secondary    : #6B7887;
$complementary: #14b262;
$neon-1       : #ffa500;
$neon-2       : #48FCC5;
$neon-3       : #5555FF;
$neon-4       : #d9184b;

// STYLE GENERAL //


h1 {
    padding    : 0.5rem;
    font-size  : 1.5rem;
    font-weight: normal;
    font-family: 'Graduate', cursive;
}

// PAGE WELCOME MESSAGE
.page-message {
    width  : 400px;
    height : 40px;
    padding: 100px 0 0 0;

    @include tablet {
        padding: 138px 0 0 0;
    }
    
    @include mobile {
        width: 300px;
    }

    h2 {
        padding         : 0.5rem 0 0.5rem 1rem;
        color           : #000000;
        background-color: rgb(#ffffff, 0.7);
        font-size       : 1.3rem;
        font-weight     : normal;
        font-family     : 'Graduate', cursive;
        animation       : 800ms ease message-anim;
    
        @include mobile {
            font-size: 1.1rem;
        }
    }
}

// WELCOME MESSAGE FORM
.box-anim {
    width           : 400px;
    height          : 7px;
    margin-bottom   : 2.5rem;
    background-color: $complementary;
    animation       : 1600ms ease box-anim;

    &.no-loging {
        background-color: $neon-1;
    }

    @include mobile {
        display: none;
    }
}

// SPAN UNDERLINE
.underline {
    text-decoration: underline;
}

body {
    background           : url("./../img/bg.jpg") center / cover;
    background-attachment: fixed;
}

// STYLE FORMULAIRE - UNIVERSAL
form {
    display       : flex;
    flex-direction: column;
    align-items   : center;
    width         : 80%;
    padding       : 1rem;
    margin        : 0.5rem 1rem 1rem 1rem;
    border-radius : 10px;

    label {
        padding: 0.5rem;
    }

    input {
        width  : 250px;
        padding: 0.3rem;
        color  : #000000;
    }

    .date-naissance {
        width: 150px;
    }

    .select-wrapper {
        display       : flex;
        flex-direction: row;

        @include mobile {
            flex-direction: column;
        }

        .select-box {
            display       : flex;
            flex-direction: column;
            align-items   : center;
            margin        : 0.5rem;

            select {
                padding: 0.2rem 0.5rem;
                margin : 0.5rem;
                color  : #000000;
            }

            .date {
                width: 150px;
            }
        }
    }

    select {
        padding: 0.2rem 0.5rem;
        margin : 0.5rem;
        color  : #000000;
    }

    .button {
        padding         : 0.5rem 1rem;
        margin-top      : 1rem;
        background-color: $primary;
        border          : 2px solid $neon-4;
        border-radius   : 10px;
        color           : #ffffff;
        transition      : 300ms;

        &:hover {
            background-color: #ffffff;
            color           : #000000;
            transform       : translateY(-5px);
        }
    }
}

// paragraphe "* champ obligatoire" //
.obligatoire {
    padding: 0.5rem;
    margin : 1rem 0;
}

// IMPORT //
@import "./navbar.scss";
@import "./admin.scss";
@import "./index.scss";
@import "./message-anim.scss";
@import "./loading-screen";